using System;

namespace takmicenje_kv3_zad1
{
    class Program
    {
        static void Main(string[] args)
        {
            int T;
            string[] str = Console.ReadLine().Split();
            int N = int.Parse(str[0]);
            int x = int.Parse(str[1]);
            int[] A = new int[N + 1];
            str = Console.ReadLine().Split();
            for (int i = 1; i <= N; i++)
            {
                A[i] = int.Parse(str[i - 1]);
            }
            for (int i = 1; i <= N - 1; i++)
            {
                for (int j = i + 1; j <= N; j++)
                {
                    if (A[j] < A[i])
                    {
                        int B = A[j];
                        A[j] = A[i];
                        A[i] = B;
                    }
                }
            }
            int P1 = System.Math.Abs(x - A[1]);
            int P2 = System.Math.Abs(x - A[N]);

            if (P1 < P2)
            {
                T = P1 + A[N] - A[1];
            }
            else
            {
                T = P2 + A[N] - A[1];
            }
            Console.WriteLine(T);
        }
    }
}